Package io.dapr.v1

# Interface DaprProtos.SecretResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.SecretResponse`, `DaprProtos.SecretResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.SecretResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsSecrets(String key)`
`map<string, string> secrets = 1;`
`Map<String,String>`
`getSecrets()`
Deprecated.
`int`
`getSecretsCount()`
`map<string, string> secrets = 1;`
`Map<String,String>`
`getSecretsMap()`
`map<string, string> secrets = 1;`
`String`
`getSecretsOrDefault(String key, String defaultValue)`
`map<string, string> secrets = 1;`
`String`
`getSecretsOrThrow(String key)`
`map<string, string> secrets = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getSecretsCount

int getSecretsCount()
`map<string, string> secrets = 1;`

### containsSecrets

boolean containsSecrets(String key)
`map<string, string> secrets = 1;`

### getSecrets

@Deprecated Map<String,String> getSecrets()
Deprecated.
Use `getSecretsMap()` instead.

### getSecretsMap

Map<String,String> getSecretsMap()
`map<string, string> secrets = 1;`

### getSecretsOrDefault

String getSecretsOrDefault(String key, String defaultValue)
`map<string, string> secrets = 1;`

### getSecretsOrThrow

String getSecretsOrThrow(String key)
`map<string, string> secrets = 1;`